unit UnMain;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, ComCtrls;

type
  TForm1 = class(TForm)
    Shape1: TShape;
    Shape2: TShape;
    Shape3: TShape;
    Shape4: TShape;
    Shape5: TShape;
    Shape6: TShape;
    Shape7: TShape;
    Shape8: TShape;
    Shape9: TShape;
    pbLeft: TProgressBar;
    pbTop: TProgressBar;
    pbRight: TProgressBar;
    pbBottom: TProgressBar;
    procedure Shape1MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure Shape1MouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses Math;

{$R *.dfm}

procedure TForm1.Shape1MouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
var
  r,g,b:Byte;
begin
r:=Random(255);
g:=Random(255);
b:=Random(255);
(Sender as TShape).Brush.Color:=RGB(r,g,b);
pbTop.Position:=X;
pbBottom.Position:=X;
pbLeft.Position:=Y;
pbRight.Position:=Y;
end;

procedure TForm1.Shape1MouseDown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
(Sender as TShape).Brush.Color:=clWhite;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
pbTop.Max:=Shape1.Width;
pbBottom.Max:=Shape1.Width;
pbLeft.Max:=Shape1.Height;
pbRight.Max:=Shape1.Height;
end;

end.
